Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8c

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
After more than 2 years we're almost reaching the 500K downloads milestone and I personally wanted to throw out a big thanks again to whoever donated and supported this modpack's development; it's not obvious (..Character limit, full message in Discord)
Hi it's me posted a status update for The 1.7.10 Pack 2 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.
This is honestly the best modpack that I have ever played and has everything that me and my friends want in it. Congrats and thank you.
Posted by seldestruct 2 years ago
:)
Posted by Hi it's me 2 years ago
When ever I try and play The 1.7.10 moddpack the game crashes :( any Ideas how to fix this? and when I could play I realy liked the moddpack :)
Posted by Budder14 2 years ago
Please go there to get help: http://bit.ly/The-1-7-10-Pack-Issues
Posted by Hi it's me 2 years ago
This is a good modpack I play almost everyday
Posted by TheRealSheepKing 2 years ago
That's great!
Posted by Hi it's me 2 years ago
@Hi it's me I know that you have said multiple times that you are okay with mod packs, BUT w/h running my server, a ton of players have expressed their upset about still being in Thaumcraft 4. Is T5 not compatible with 1.7.10 or is it due to other limitations?
Posted by SoulShark 2 years ago
Also: Best modpack found yet. We are all Wizards and Tech freaks, so we love the setup!
Posted by SoulShark 2 years ago
It's not compatible with 1.7.10.
Posted by Hi it's me 2 years ago
my minecraft keeps crashing everytime i try and play whit mods why is that please help
Posted by blackhammer1995 2 years ago
Please add minechem it's a great mod its been requested a lot lately and it fits in well please
Posted by cyber_chase 2 years ago
I'm gonna be completely honest, I love this modpack. It has every last one of the mods that I enjoy playing with, and has a vast variety of content. I would just like to say thank you for putting together this wonderful and enjoyable pack. Sincerely, odin214
Posted by odin214 2 years ago
Thank you odin214! :)
Posted by Hi it's me 2 years ago

Latest Update

If you suffered from crashing after updating to v0.9.8c, please reinstall the modpack now as this will revert the LumySkinPatch mod to its older version. That should fix your issue!